Subject: out of status lads

From: [email-masked] (Mi Mi)
Date: Tue, 19 Apr 94 10:26:19 CDT

Hi, the procedures are listed in the CSPA document, please refer to
the interim rule of CSPA. You can find it in your library, ifcss.org,
and CND. 

1) Only one city in Mexico handles your case, and I do not think why
you can not go to GuangZhou for it. You request the city of your 
interview choice in I-824 form. ONLY GuangZhou handles it. 

2) You can get work permit from local INS.

3) "Advanced parole" means you can use it to leave and return to USA.

Mi Mi Sr.

----------------------------------------------------------------
   From: [email-masked] (David Wang)
   Date: Tue, 19 Apr 1994 10:00:58 -0500 (CDT)
   Reply-To: [email-masked]
   X-Mailer: ELM [version 2.4 PL23]
   Mime-Version: 1.0
   Content-Type: text/plain; charset=US-ASCII
   Content-Transfer-Encoding: 7bit
   Content-Length: 1596      

   Dear Mi Mi Sr.

   Would be so kind as to give me a little guidance on HOW to do the following.

    1. How I can request for interview in Mexico ? 
    2. How my lads can get the work permit they are entitled ? 
    3. What "Advanced parole" means ? 

   If the question is kind of complicated. You can just point to the right 
   document for me and I will read them. 

   Thanks for your help.

   According to Mi Mi:
   > 
   > 
   > [email-masked] (David Wang) wrote:
   > 
   >    Dear Mi Mi Sr.
   > 
   >    Do you know is there any way the lads can go to Canada or Mexico for
   >    interview and get GC ? 
   >     ^^^^^^^^^^^^^^^^^^^^^^^^^ you can go to Mexico or GuangZhou for that,
   > 
   >    How out-of-status lads can get work permit ? Apply Voluntary Departure
   >    can general solve the problem ? Can if be rejected ?  
   > ^^^^^^^^^^^you are entitled to work permit, advanced porale. There is no
   > limit and no fee.
   > 
   >    Did the final INS regulation come out ?  
   > ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Oh, you got me.... I never hear that.....
   > 
   >    Thank you for care about those unlucky lads 
   > 
   > 
   > 
   >    According to Mi Mi:
   >    > 
   >    > 
   >    > As for the out-of-status lads, they just can not adjust their status
   >    > in US. All the other benefits are just the same as those who are
   >    > in-status, such as the priority date. So, they are required to file 
   >    > I-824 to the regional centers, and get their GC from GuangZhou, and 
   >    > they are getting GC from GuangZhou NOW. 
   >    > 
   >    > Just a reminder,
   >    > 
   >    > Mi Mi Sr.
   >    > 
   >    > 
   >    > 
   > 
   > 
   >    -- 
   > 
   > 

   David Wang
   [email-masked] 
   --